--Insert data into roles table
INSERT INTO Roles (RoleName)
VALUES 
	('Premium'),
	('VIP'),
	('Uploader'),
	('Administrator'),
	('Moderator'),
	('Content Janitor')


--Insert data into users table
INSERT INTO Users (UserName, LikeCount, UserDescription)
VALUES 
	('WickedWorm', 8025, 'I am the social media director of WB. I post new WB content when released.'),
	('NailVista', 2407, 'I post jokes on the internet.'),
	('ExtremeRefined', 2641, 'I post comedy videos from my own bedroom.'),
	('KnowGem', 2030, 'Solo music artist focusing in rock'),
	('EmergeReal', 6343, 'Owner of site. If you need help feel free to ask me :)'),
	('ArmWhoa', 2460, 'Look out for new releases coming soon!'),
	('IcedTeaDramatic', 9231, 'I am the artistic director of WB, I post stuff for upcoming projects.'),
	('WisBerserk56', 466, NULL),
	('Play4Ask', -2357, 'I post my thoughts on the internet.'),
	('FeatTiffin', 54, 'I like to view good media.'),
	('Butter4Real', 4, NULL),
	('Stickyundefined', -6, NULL),
	('KickerOne', -145, NULL),
	('ImPrivate', 0, NULL),
	('OMGTHE1', -2, NULL)


--Insert data into profilepicture table
INSERT INTO ProfilePicture (UserID, PictureFileName, Height, Width)
VALUES 
	(1, 'flower.jpeg', 500, 500),
	(2, 'car.jpeg', 550, 550),
	(3, 'user_pfp.jpeg', 250, 300),
	(4, 'default.png', 500, 500),
	(5, 'default.png', 500, 500),
	(6, 'default.png', 500, 500),
	(7, 'new_profile.jpeg', 1000, 1000),
	(8, 'm.jpeg', 505, 505),
	(9, 'default.png', 500, 500),
	(10, 'flowers.jpeg', 450, 500),
	(11, 'default.png', 500, 500),
	(12, 'kb_.jpeg', 300, 500),
	(13, 'default.png', 500, 500),
	(14, 'default.png', 500, 500),
	(15, 'me_irl.jpeg', 1200, 1200)


--Insert data into airedtypes table
INSERT INTO AiredTypes(AiredType)
VALUES
	('TV Show'),
	('Movie'),
	('PSA'),
	('Play'),
	('Home Made'),
	('Premiere'),
	('Live Action')



--Insert data into videofiletypes table
INSERT INTO VideoFileTypes(TypeName, TypeExtension, Codec)
VALUES
	('WebM', '.webm', 'VP8, VP9'),
	('Flash Video', '.flv', 'H.264'),
	('AVI', '.avi', 'AVI'),
	('QuickTime File Format', '.mov', 'QuickTime'),
	('Windows Media Video', '.wmv', 'ASF'),
	('MPEG-4', '.mp4', 'MPEG-4')


--Insert data into videoencode table
INSERT INTO VideoEncode(EncodeName, Width, Height, Framerate)
VALUES
	('1080p60', 1920, 1080, 60),
	('1080p30', 1920, 1080, 30),
	('720p60', 1280, 720, 60),
	('720p30', 1280, 720, 30),
	('480p60', 848, 480, 60),
	('480p30', 848, 480, 30),
	('1440p30', 2560, 1440, 30),
	('1440p60', 2560, 1440, 60),
	('2160p30', 3840, 2160, 30),
	('2160p60', 3840, 2160, 60)


--Insert data into category table
INSERT INTO Category(CategoryName)
VALUES
	('Comedy'),
	('Education'),
	('Entertainment'),
	('Film'),
	('Animation'),
	('Show'),
	('Gaming'),
	('News'),
	('Vlogs/Blogs'),
	('Technology'),
	('Sport')


--Insert data into production table
INSERT INTO Production(ProductionName)
VALUES
	('Warner Bros'),
	('Dreamworks'),
	('Disney')


--Insert data into audiogenre table
INSERT INTO AudioGenre(GenreName)
VALUES
	('Blues'),
	('Country'),
	('Electronic'),
	('Folk'),
	('Hip Hop'),
	('Jazz'),
	('Pop'),
	('R%B'),
	('Rock')


--Insert data into releasetype table
INSERT INTO ReleaseType(TypeName)
VALUES
	('Single'),
	('Album'),
	('EP'),
	('One off')


--Insert data into audiofiletypes table
INSERT INTO AudioFileTypes (TypeName, TypeExtention)
VALUES
	('Advanced Audio Coding', '.aac'),
	('Apple AIFF', '.aiff'),
	('Free Lossless Audio Codec', '.flac'),
	('MPEG-4 Audio', '.m4a'),
	('MPEG Layer III', '.mp3'),
	('Vorbis', '.ogg'),
	('Wave', '.wav'),
	('Windows Media Audio', '.wma')
	

--Insert data into imagefiletypes table
INSERT INTO ImageFileTypes (FileTypeName, FileTypeExtension)
VALUES
	('Joint Photographic Experts Group', '.jpeg'),
	('Joint Photographic Experts Group', '.jpg'),
	('Tagged Image File Format', '.tiff'),
	('Graphics Interchange File Format', '.gif'),
	('Windows Bitmap', '.bmp'),
	('Portable Network Graphics', '.png')


--Insert data into roleallocation table
INSERT INTO RoleAllocation (UserID, RoleID)
VALUES
	(1, 2),
	(1, 3),
	(2, 1),
	(3, 1),
	(3, 2),
	(3, 3),
	(4, 2),
	(4, 3),
	(5, 1),
	(5, 2),
	(5, 3),
	(5, 4),
	(5, 5),
	(5, 6),
	(6, 1),
	(6, 3),
	(7, 1),
	(7, 2),
	(7, 3),
	(7, 6),
	(8, 1),
	(10, 1),
	(14, 1),
	(15, 1)


--Insert data into mediaentry table (INTERESTING TABLE)

INSERT INTO MediaEntry(CategoryID, UserID, ProductionID, Title, EntryDescription, UploadDate, Premium)
VALUES
	(9, 2, NULL, 'Holiday snaps! :)', 'Loving life rn!', '2018-09-09 08:23:00', 0),
	(4, 1, 1, 'Oliver!', 'After being sold to a mortician, young orphan Oliver Twist runs away and meets a group of boys trained to be pickpockets by an elderly mentor.', '2018-09-09 10:34:21', 1),
	(1, 11, NULL, 'Best prank EVER!', 'She should have seen it coming! haha', '2018-09-09 12:04:58', 0),
	(4, 8, NULL, 'The Howling Walkway', 'From my newest album, enjoy~', '2018-09-09 16:02:51', 0),
	(8, 9, 1, 'Brexit Vote Uncertain', 'UK seems to not know whether brexit will happen at all...', '2018-09-10 02:33:13', 0),
	(1, 2, NULL, 'Top Gear best moments!', 'Watch these three guys rant and rave for 20 minutes!!!!', '2018-09-10 03:52:01', 0),
	(3, 3, NULL, 'Fake SD Card Scam!', 'Can you believe theyre selling this?!?!', '2018-09-10 06:00:04', 0),
	(1, 2, NULL, '10 WORST Christmas Presents EVER!', 'Check out some of these horrible gifts...', '2018-09-10 09:29:40', 0),
	(2, 5, 3, 'Popcorn Recipies', 'Some of my fav popcorn food :)', '2018-09-10 12:52:00', 0),
	(1, 8, NULL, 'Ready Meal Taste Test', 'Yeah these arent good...', '2018-09-10 20:01:59', 0),
	(6, 1, 1, 'Friends: Episode 16', 'Watch Friends HERE!', '2018-09-10 23:34:02', 1),
	(3, 6, NULL, 'Deconstructing Nature', 'EDM album :3', '2018-09-11 09:29:22', 1),
	(3, 7, NULL, 'Upcoming projects :eyes:', 'Just a teaser for the new film', '2018-09-11 10:00:52', 1),
	(3, 7, NULL, 'Upcoming projects PART 2', 'Another teaser, why not :P', '2018-09-11 10:40:23', 1),
	(9, 12, NULL, 'The world is amazing.', 'So nice.', '2018-09-11 14:38:32', 0),
	(6, 5, 2, 'Cars Miniseries', 'Watch miniseries here', '2018-09-11 17:52:15', 1),
	(6, 1, 1, 'Friends: Episode 17-20', 'Watch friends here', '2018-09-11 19:25:50', 1)



--Insert data into contentpage table
INSERT INTO ContentPage(EntryID, Likes, Dislikes)
VALUES
	(1, 500, 20),
	(2, 20000, 500),
	(3, 1, 1),
	(4, 10, 0),
	(5, 150, 320),
	(6, 15, 3),
	(7, 120, 14),
	(8, 691, 142),
	(9, 351, 21),
	(10, 63, 12),
	(11, 898, 32),
	(12, 134, 6),
	(13, 1740, 348),
	(14, 1294, 211),
	(15, 248, 42),
	(16, 673, 84),
	(17, 1482, 183)



--Insert data into comment table
INSERT INTO Comment(UserID, PageID, Content, ParentComment)
VALUES
	(1, 1, 'Love the pics! :)', NULL),
	(2, 1, 'thx', 1),
	(4, 1, 'Amazing', NULL),
	(2, 1, 'thanks :)', 3),
	(3, 2, 'A true classic.', NULL),
	(1, 2, 'Agree!', 5),
	(12, 5, 'idk about this one...', NULL),
	(10, 7, 'Interesting, thanks for the tip!', NULL),
	(5, 11, 'Such a good show!', NULL),
	(3, 12, 'Tunes!', NULL),
	(15, 17, 'Thanks for the upload!', NULL),
	(3, 17, 'Ta!', NULL)


--Insert data into thumbnail table
INSERT INTO Thumbnail(EntryID, ThumbnailFileName, Height, Width)
VALUES
	(1, 'snaps.png', 1920, 1080),
	(2, 'oliver.png', 1920, 1080),
	(3, 'prank.png', 1000, 1000),
	(4, 'walkway.png', 2000, 2000),
	(5, 'brexit.png',  1500, 600),
	(6, 'top_.png', 750, 400),
	(7, 'fake.png', 1200, 1200),
	(8, 'worst.png', 1400, 1400),
	(9, 'popcorn.png', 1920, 1080), 
	(10, 'meal.png', 1920, 1080),
	(11, 'friends16.png', 1920, 1200),
	(12, 'nat.png', 720, 720),
	(13, 'up.png', 4000, 4000),
	(14, 'up2.png', 4000, 4000),
	(15, 'amaze.png', 1500, 1500),
	(16, 'cars.png', 1280, 720),
	(17, 'friends.png', 1920, 1200)



--Insert data into imageentry table
INSERT INTO ImageEntry(EntryID, FileTypeID, ImageFileName, Height, Width)
VALUES
	(1, 1, 'snap1', 500, 500),
	(1, 1, 'snap2', 500, 500),
	(1, 1, 'snap3', 500, 500),
	(1, 4, 'vid1', 500, 500),
	(3, 2, 'prank', 1280, 720),
	(13, 6, 'pic1', 4000, 4000),
	(13, 6, 'pic2', 4000, 4000),
	(13, 6, 'pic3', 4000, 4000),
	(13, 6, 'pic4', 4000, 4000),
	(13, 6, 'pic5', 4000, 4000),
	(13, 4, 'clip', 1920, 1080),
	(14, 4, 'clip2', 1920, 1080),
	(15, 3, 'world_pic', 4500, 3500),
	(15, 3, 'world_pic2', 1000, 2000)


--Insert data into audioentry table
INSERT INTO AudioEntry(EntryID, FileTypeID, ReleaseTypeID, AudioLength, BitRate, AudioFileName)
VALUES
	(4, 7, 1, 213, 256, 'the_howling_walkway'),
	(12, 5, 2, 78, 320, 'sunrise'),
	(12, 5, 2, 241, 320, 'deconstructing_nature'),
	(12, 5, 2, 116, 320, 'dream_field'),
	(12, 5, 2, 180, 320, 'floating_through_a_frozen_atlantis'),
	(12, 5, 2, 43, 320, 'interlude'),
	(12, 5, 2, 205, 320, 'broadcast'),
	(12, 5, 2, 335, 320, 'skyshifer_vip'),
	(12, 5, 2, 161, 320, 'serotonin'),
	(12, 5, 2, 232, 320, 'data_corruption_symphony'),
	(12, 5, 2, 449, 320, 'cherry_blossoms_explode_across_the_dying_horizon')



--Insert data into audiopreview table
INSERT INTO AudioPreview(AudioID, FileTypeID, AudioLength, BitRate, AudioFileName)
VALUES
	(1, 7, 28, 320, 'the_howling_walkway_1'),
	(1, 2, 10, 320, 'the_howling_walkway_2'),
	(1, 2, 20, 320, 'the_howling_walkway_3'),
	(8, 3, 30, 1000, 'skyshifter_vip_1'),
	(8, 3, 40, 1000, 'skyshifter_vip_2'),
	(11, 3, 60, 1000, 'cherry_blossoms_explode_across_the_dying_horizon_1'),
	(11, 3, 30, 1000, 'cherry_blossoms_explode_across_the_dying_horizon_2')



--Insert data into videoentry table
INSERT INTO VideoEntry(EntryID, EncodeID, FileTypeID, AiredTypeID, VideoFileName, AiredOn, Length)
VALUES
	(2, 6, 4, 2, 'oliver!', '1968-09-27', 9180),
	(5, 2, 1, 1, 'brexit_uncertain', '2018-09-09', 300),
	(6, 4, 3, 1, 'top_gear_best', '2012-01-01', 1204),
	(7, 1, 6, 3, 'sd_card', '2018-09-01', 513),
	(8, 2, 5, 5, 'worst_presents', '2017-12-01', 295),
	(9, 1, 3, 5, 'pop_reci', '2018-04-09', 196),
	(10, 2, 6, 5, 'ready_meal', '2018-08-28', 302),
	(11, 7, 6, 1, 'friends_s1_e16', '1995-02-23', 1440),
	(16, 9, 3, 1, 'Cars_mini_1', '2017-12-04', 740),
	(17, 7, 6, 1, 'friends_17', '1995-02-23', 1367),
	(17, 7, 6, 1, 'friends_18', '1995-03-02', 1485),
	(17, 7, 6, 1, 'friends_19', '1995-03-09', 1501),
	(17, 7, 6, 1, 'friends_20', '1995-04-06', 1402)



--Insert data into videopreview table
INSERT INTO VideoPreview(VideoID, EncodeID, FileTypeID, VideoFileName, AiredOn, Length)
VALUES
	(1, 6, 4, 'oliver_trailer_1', '1968-09-27', 132),
	(1, 6, 4, 'oliver_trailer_2', '1968-09-27', 203),
	(1, 6, 4, 'oliver_trailer_3', '1968-09-27', 152),
	(1, 6, 4, 'oliver_trailer_4', '1968-09-27', 173),
	(6, 4, 3, 'top_gear_best_preview', '2012-01-01', 124),
	(11, 7, 6, 'friends_s1_e16_preview', '1995-02-23', 90),
	(16, 9, 3, 'Cars_mini_1_preview', '2017-12-04', 94),
	(17, 7, 6, 'friends_17_preview_1', '1995-02-22', 101),
	(17, 7, 6, 'friends_17_preview_2', '1995-02-23', 99),
	(17, 7, 6, 'friends_18_preview_1', '1995-03-01', 82),
	(17, 7, 6, 'friends_18_preview_2', '1995-03-02', 100),
	(17, 7, 6, 'friends_19_preview', '1995-03-09', 95),
	(17, 7, 6,  'friends_20_preview', '1995-04-06', 95)


--Insert data into audiogenreentry table
INSERT INTO AudioGenreEntry(AudioID, GenreID)
VALUES
	(1, 9),
	(2, 3),
	(3, 3),
	(4, 3),
	(5, 3),
	(6, 3),
	(7, 3),
	(8, 3),
	(9, 3),
	(10, 3),
	(11, 3)




